AttributeDispatchers File Reference
`#include <osg/ref_ptr>`
`#include <osg/Array>`
`#include <osg/Matrixd>`

Go to the source code of this file.

## Classes

struct | osg::AttributeDispatch
class | osg::AttributeDispatchers

## Namespaces

namespace | osg

## Macros

#define | OSG_ATTRIBUTEDISPATCHERS 1
#define | DISPATCH_OR_ACTIVATE(array, dispatcher)

## Macro Definition Documentation

## DISPATCH_OR_ACTIVATE

#define DISPATCH_OR_ACTIVATE | ( |  | array,
|  |  | dispatcher )

Value:
if (array) { \
unsigned int binding = array->getBinding(); \
if (binding==osg::Array::BIND_OVERALL) \
{ \
AttributeDispatch* at = dispatcher; \
if (at) (*at)(0); \
} \
else if (binding==osg::Array:: BIND_PER_PRIMITIVE_SET) \
{ \
AttributeDispatch* at = dispatcher; \
if (at) _activeDispatchList.push_back(at); \
} \
}
osg::Array::BIND_OVERALL
@ BIND_OVERALL
Definition Array:133

Referenced by osg::AttributeDispatchers::activateColorArray(), osg::AttributeDispatchers::activateFogCoordArray(), osg::AttributeDispatchers::activateNormalArray(), osg::AttributeDispatchers::activateSecondaryColorArray(), and osg::AttributeDispatchers::activateVertexAttribArray().

## OSG_ATTRIBUTEDISPATCHERS

#define OSG_ATTRIBUTEDISPATCHERS 1